{% extends "all-blog.html.twig" %}

{% block form %}
<div class="row">
  {% for user in search %}
  <div class="card col-3 style=" width: 18rem;" id="each">
    <img class="card-img-top" src="https://via.placeholder.com/150" alt="image" id="img">
    <div class="card-body">
      <h3 class="card-title">{{ user.title|e }}</h3>
      <p class="card-text">
        <h5>{{ user.description|e }}</h5>
      </p>
      <p class="card-text">Last updated on: {{ user.createdAt|e }}</p>
      <hr class="my-4">
      <p>{{ user.author|e }}</p>
      <p class="lead">
        <p>
          <a class="btn btn-primary btn-lg" href="{{path('show_blog', {id: user.id}) }}" role="button">Read more</a>
        </p>
        {# <a class="btn btn-danger btn-lg" href="{{path('remove_blog', {id: user.id}) }}" role="button">Delete</a> #}
        <p>
          <a class="btn btn-warning" href="{{path('update_blog',{id: user.id}) }}">Update</a>
        </p>
      </p>
    </div>
  </div>
  {% endfor %}
</div>
<div>
  {% if search == false %}
  <p style="text-align: center; margin-top: 100px; margin-bottom: 300px;">Your serarch did not match to any TITLE in our blog. <br> Please try
    again.</p>
  {% endif %}
</div>
{% endblock %}